C_04_lattice.options {lattice} | R Documentation

## Low-level Options Controlling Behaviour of Lattice

### Description

Functions to handle settings used by lattice. Their main purpose is to make code maintainance easier, and users normally should not need to use these functions. However, fine control at this level maybe useful in certain cases.

### Usage

    lattice.options(...)
    lattice.getOption(name)

### Arguments

`name` | character giving the name of a setting
`...` | new options can be defined, or existing ones modified, using one or more arguments of the form `name = value` or by passing a list of such tagged values. Existing values can be retrieved by supplying the names (as character strings) of the components as unnamed arguments.

### Details

These functions are modeled on `options` and `getOption`, and behave similarly for the most part. Some of the available components are documented here, but not all. The purpose of the ones not documented are either fairly obvious, or not of interest to the end-user.

`panel.error`

  A function, or `NULL`. If the former, every call to the panel function will be wrapped inside `tryCatch` with the specified function as an error handler. The default is to use the `panel.error` function. This prevents the plot from failing due to errors in a single panel, and leaving the grid operations in an unmanageable state. If set to `NULL`, errors in panel functions will not be caught using `tryCatch`.

`save.object`

  Logical flag indicating whether a `"trellis"` object should be saved when plotted for subsequent retrieval and further manipulation. Defaults to `TRUE`.

`layout.widths`, `layout.heights`

  Controls details of the default space allocation in the grid layout created in the course of plotting a `"trellis"` object. Not of interest to the end-user, who should instead use the similiarly named component in the graphical settings, modifiable using `trellis.par.set`.

`drop.unused.levels`
`legend.bbox`

### Value

`lattice.getOption` returns the value of a single component, whereas `lattice.options` always returns a list with one or more named components. When changing the values of components, the old values of the modified components are returned by `lattice.options`. If called without any arguments, the full list is returned.

### Author(s)

Deepayan Sarkar Deepayan.Sarkar@R-project.org

### See Also

`options`, `trellis.device`, `trellis.par.get`, `Lattice`

### Examples

    names(lattice.options())
    str(lattice.getOption("layout.widths"))

[Package lattice version 0.20-6 Index]